<?php
// $Id$
// Author: Sebastian Voecking <sebastian.voecking@uni-muenster.de>

class KDBConfigFile
{
    private $fEntries = array();
    
    function __construct($filename)
    {
        $file = fopen($filename, 'r');

        if ($file) {
            while (!feof($file)) {
                $line = fgets($file);
                $line = ltrim($line);

                $pos = strpos($line, '#');
                if ($pos !== false) {
                    $line = substr($line, 0, $pos);
                }

                $line = rtrim($line);
                if (strlen($line) == 0) continue;

                $pos = strpos($line, '=');
                if ($pos !== false) {
                    $key = rtrim(substr($line, 0, $pos));
                    $value = ltrim(substr($line, $pos + 1));

                    $this->fEntries[$key] = $value;
                }
            }

            fclose($file);
        }
    }

    function GetValue($key, $default=NULL)
    {
        if (array_key_exists($key, $this->fEntries)) {
            return $this->fEntries[$key];
        }
        else {
            return $default;
        }
    }

    function GetValueList($key, $default=NULL)
    {
        if (array_key_exists($key, $this->fEntries)) {
            $items = array();
            
            $tok = strtok($this->fEntries[$key], ',');
            while ($tok !== false) {
                $items[] = trim($tok);
            }
            return $items;
        }
        else {
            return $default;
        }
    }
}
?>
