<?php
// $Id$
// Author: Sebastian Voecking <sebastian.voecking@uni-muenster.de>

ADEI::RequireClass("KDBConfigFile", true);

class KDBConfiguration
{
    private $fDebug = false;
    private $fSqlServer = "localhost";
    private $fSqlDbName = "katrin";
    private $fSqlUser = "s_voec01";
    private $fSqlPassword = "";
    private $fFileServerRoot = "/data";
    private $fPathOrca = NULL;
    private $fPathOrcaRoot = NULL;
    private $fPathCrun = NULL;
    private $fPathPlots = NULL;
    
    function __construct($filename)
    {
        $file = new KDBConfigFile($filename);
        $this->fDebug = $file->GetValue("debug", $this->fDebug);
        $this->fFileServerRoot =
            $file->GetValue("file_server_root", $this->fFileServerRoot);
        $this->fSqlServer = $file->GetValue("sql_server", $this->fSqlServer);
        $this->fSqlDbName = $file->GetValue("sql_dbname", $this->fSqlDbName);
        $this->fSqlUser = $file->GetValue("sql_user", $this->fSqlUser);
        $this->fSqlPassword =
            $file->GetValue("sql_password", $this->fSqlPassword);
        $this->fPathOrca = $file->GetValue("path_orca", $this->fPathOrca);
        $this->fPathOrcaRoot =
            $file->GetValue("path_orcaroot", $this->fPathOrcaRoot);
        $this->fPathCrun = $file->GetValue("path_crun", $this->fPathCrun);
        $this->fPathPlots = $file->GetValue("path_plots", $this->fPathPlots);
    }

    function GetDebug()
    {
        return $this->fDebug;
    }

    function GetSqlServer()
    {
        return $this->fSqlServer;
    }

    function GetSqlDbName()
    {
        return $this->fSqlDbName;
    }

    function GetSqlUser()
    {
        return $this->fSqlUser;
    }

    function GetSqlPassword()
    {
        return $this->fSqlPassword;
    }

    function GetFileServerRoot()
    {
        return $this->fFileServerRoot;
    }

    function GetPathOrca()
    {
        return $this->fPathOrca;
    }

    function GetPathOrcaRoot()
    {
        return $this->fPathOrcaRoot;
    }

    function GetPathCrun()
    {
        return $this->fPathCrun;
    }

    function GetPathPlots()
    {
        return $this->fPathPlots;
    }
}
?>