<?php
// $Id$
// Author: Sebastian Voecking <sebastian.voecking@uni-muenster.de>

define('kTypeOrca', 0);
define('kTypeOrcaRoot', 1);
define('kTypeCrun', 2);
define('kTypeHeader', 3);
define('kTypePlot', 4);
define('kTypeCustom', 5);
define('kTypePreview', 6);
define('kTypeXml', 7);

define('kHardwareUw', 0);
define('kHardwareIpe3', 1);
define('kHardwareIpe4', 2);
define('kHardwareInvalid', 3);

define("kSystemMainSpec", 0);
define("kSystemPreSpec", 1);
define("kSystemInvalid", 2);

class KDBConstants
{
    private static $gTypeNames = array(
        kTypeOrca => 'orca',
        kTypeOrcaRoot => 'orcaroot',
        kTypeCrun => 'crun',
        kTypeHeader => 'header',
        kTypePlot => 'plot',
        kTypeCustom => 'custom',
        kTypePreview => 'preview',
        kTypeXml => 'xml');

    private static $gHardwareNames = array(
        kHardwareUw => 'uw',
        kHardwareIpe3 => 'ipe3',
        kHardwareIpe4 => 'ipe4',
        kHardwareInvalid => 'invalid');

    private static $gSystemNames = array(
        kSystemMainSpec => 'kms',
        kSystemPreSpec => 'kps',
        kSystemInvalid => 'xxx');
    
    static function FileTypeName($value)
    {
        if (array_key_exists($value, self::$gTypeNames)) {
            return self::$gTypeNames[$value];
        }
        else {
            throw new ADEIException("Unknown file type $value");
        }
    }

    static function FileTypeValue($type) {
        if ($value = array_search($type, self::$gTypeNames)) {
            return $value;
        }
        else {
            throw new ADEIException("Unknown file type '$type'");
        }
    }

    static function HardwareName($value)
    {
        if (array_key_exists($value, self::$gHardwareNames)) {
            return self::$gHardwareNames[$value];
        }
        else {
            throw new ADEIException("Unknown hardware $value");
        }
    }

    static function HardwareValue($type) {
        if ($value = array_search($type, self::$gHardwareNames)) {
            return $value;
        }
        else {
            throw new ADEIException("Unknown hardware '$type'");
        }
    }
    
    static function OrcaSystemName($value)
    {
        if (array_key_exists($value, self::$gSystemNames)) {
            return self::$gSystemNames[$value];
        }
        else {
            throw new ADEIException("Unknown Orca system $value");
        }
    }

    static function OrcaSystemValue($type) {
        if ($value = array_search($type, self::$gSystemNames)) {
            return $value;
        }
        else {
            throw new ADEIException("Unknown Orca system '$type'");
        }
    }
}
?>
